%global cur_ver 1.3.0.20100907

Name:       ibus-table-others
Version:    1.3.0.20120912
Release:    2%{?dist}
Summary:    Various tables for IBus-Table
License:    GPLv3
Group:      System Environment/Libraries
URL:        http://github.com/moebiuscurve/ibus-table-others
Source0:    http://mfabian.fedorapeople.org/ibus-table-others/%{name}-%{version}.tar.gz
Patch0:     fix-trailing-comments.patch
BuildArch:  noarch

Requires:         ibus-table
BuildRequires:    ibus-table-devel

%description
The package contains various IBus-Tables which include languages of \
Latin-America, Europe, Southeast Asia, as well as math and other symbols

%package -n ibus-table-code
Requires:  ibus-table
Summary:   Ibus-Tables for Latex, CNS11643 & Emoji

%description -n ibus-table-code
The package contains ibus-tables for Latex, CNS11643, Emoji. 

%package -n ibus-table-cyrillic
Requires:  ibus-table
Summary:   Ibus-Tables for Cyrillic

%description -n ibus-table-cyrillic
The Cyrillic rustrad & yawerty tables for IBus Table.

%package -n ibus-table-latin
Requires:  ibus-table
Summary:   Ibus-Tables for Latin

%description -n ibus-table-latin
The Latin compose & ipa-x-sampa tables for Ibus-Table.

%package -n ibus-table-translit
Requires:  ibus-table
Summary:   Ibus-Tables for Russian Translit

%description -n ibus-table-translit
The Cyrillic translit & translit-ua tables for IBus-Table.

%package -n ibus-table-tv
Requires:  ibus-table
Summary:   Ibus-Tables for Thai and Viqr (Vietnamese)

%description -n ibus-table-tv
The Thai and Viqr (Vietnamese) tables for IBus-Table.

%package -n ibus-table-mathwriter
Requires:  ibus-table
Summary:  Ibus-Tables for Unicode mathematics symbols

%description -n ibus-table-mathwriter
The package contains table for writing Unicode mathematics symbols.


%prep
%setup -q
%patch0 -p1 -b .trailing-comments

%build
%configure

make %{?_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install
cd ${RPM_BUILD_ROOT}/%{_datadir}/ibus-table/tables/
%{_bindir}/ibus-table-createdb -i -n cns11643.db
%{_bindir}/ibus-table-createdb -i -n compose.db
%{_bindir}/ibus-table-createdb -i -n emoji-table.db
%{_bindir}/ibus-table-createdb -i -n ipa-x-sampa.db
%{_bindir}/ibus-table-createdb -i -n latex.db
%{_bindir}/ibus-table-createdb -i -n rustrad.db
%{_bindir}/ibus-table-createdb -i -n thai.db
%{_bindir}/ibus-table-createdb -i -n translit.db
%{_bindir}/ibus-table-createdb -i -n translit-ua.db
%{_bindir}/ibus-table-createdb -i -n viqr.db
%{_bindir}/ibus-table-createdb -i -n yawerty.db
%{_bindir}/ibus-table-createdb -i -n mathwriter-ibus.db

%files
%doc AUTHORS COPYING README

%files -n ibus-table-code
%{_datadir}/ibus-table/tables/latex.db
%{_datadir}/ibus-table/tables/cns11643.db
%{_datadir}/ibus-table/tables/emoji-table.db
%{_datadir}/ibus-table/icons/latex.svg
%{_datadir}/ibus-table/icons/cns11643.png
%{_datadir}/ibus-table/icons/ibus-emoji.svg

%files -n ibus-table-cyrillic
%{_datadir}/ibus-table/tables/rustrad.db
%{_datadir}/ibus-table/tables/yawerty.db
%{_datadir}/ibus-table/icons/rustrad.png
%{_datadir}/ibus-table/icons/yawerty.png

%files -n ibus-table-latin
%{_datadir}/ibus-table/tables/compose.db
%{_datadir}/ibus-table/tables/ipa-x-sampa.db
%{_datadir}/ibus-table/icons/compose.svg
%{_datadir}/ibus-table/icons/ipa-x-sampa.svg

%files -n ibus-table-translit
%{_datadir}/ibus-table/tables/translit.db
%{_datadir}/ibus-table/tables/translit-ua.db
%{_datadir}/ibus-table/icons/translit.svg
%{_datadir}/ibus-table/icons/translit-ua.svg

%files -n ibus-table-tv
%{_datadir}/ibus-table/tables/thai.db
%{_datadir}/ibus-table/tables/viqr.db
%{_datadir}/ibus-table/icons/thai.png
%{_datadir}/ibus-table/icons/viqr.png

%files -n ibus-table-mathwriter
%{_datadir}/ibus-table/tables/mathwriter-ibus.db
%{_datadir}/ibus-table/icons/mathwriter.png

%changelog
* Thu Sep 13 2012 Mike FABIAN <mfabian@redhat.com> - 1.3.0.20120912-2
- Resolves: #856948
- Trailing comments in tables should use ### instead of just #

* Wed Sep 12 2012 Mike FABIAN <mfabian@redhat.com> - 1.3.0.20120912-1
- update to latest upstream 1.3.0.20120912
- remove the patches already included upstream

* Mon Sep 10 2012 Mike FABIAN <mfabian@redhat.com> - 1.3.0.20100907-14
- Resolves: #855788
- Make the status prompts for Ukrainian and Russian unique
  (from Daniil Ivanov <daniil.ivanov@gmail.com>)
- Make icons for Ukrainian and Russian unique
  (from Daniil Ivanov <daniil.ivanov@gmail.com>)

* Thu Sep 06 2012 Mike FABIAN <mfabian@redhat.com> - 1.3.0.20100907-13
- Resolves: #855098
- Correct the filename of the ipa-x-sampa icon and replace it with a nicer
  .svg version.

* Thu Sep 06 2012 Mike FABIAN <mfabian@redhat.com> - 1.3.0.20100907-12
- Resolves: #855102
- Supported languages should not be left empty in a table.
  For an input method which has LANGUAGES set to an empty string,
  nothing at all is shown by ibus when trying to change to that input
  method using the trigger key which makes the input method hard to
  select.

* Thu Sep 06 2012 Mike FABIAN <mfabian@redhat.com> - 1.3.0.20100907-11
- Related: #845798, #854539
- enable build of Russian transliteration table again,
  should work now because of the fix for ibus-table, see #845798
- improvements for the Russian and Ukrainian transliteration tables
  translit.txt and translit-ua.txt by  the original author
  Daniil Ivanov <daniil.ivanov@gmail.com>

* Wed Aug 29 2012 Mike FABIAN <mfabian@redhat.com> - 1.3.0.20100907-10
- Fix build for emoji-table and enable it again.
- Resolves: #845797

* Sat Aug 04 2012 Parag Nemade <paragn AT fedoraproject DOT org> - 1.3.0.20100907-9
- Save this package for f18 by blocking emoji-table 

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0.20100907-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0.20100907-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0.20100907-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 19 2010 Naveen Kumar <nkumar@redhat.com> - 1.3.0.20100907-5
- dropped --disable-static & --prefix from configure
- Dropped the cleaning of buildroot
- macros removed from make
- clean section dropped
- doc moved to main package
- versions from BuildRequires and Requires removed

* Wed Oct 6 2010 Naveen Kumar <nkumar@redhat.com> - 1.3.0.20100907-4
- delete all Obsoletes fields in spec
- removed BuildRoot as specified in new guidelines

* Thu Sep 30 2010 Naveen Kumar <nkumar@redhat.com> - 1.3.0.20100907-3
- delete Provides fields in spec for main & sub packages
- added -n in spec file so that it looks like "package -n ibus-table*"
- added -n in spec file so that it looks like "files -n ibus-table*
- "Requires:  ibus-table >= 1.2.0.20090912" moved to all subpackages
- "files" section for main package removed
- used rm and make to macros "__make" and "__rm"

* Wed Sep 28 2010 Naveen Kumar <nkumar@redhat.com> - 1.3.0.20100907-2
- divided the package into subpackages.

* Tue Sep 7 2010 Naveen Kumar <nkumar@redhat.com> - 1.3.0.20100907-1
- Packaging for new version
- ibus-table-mathwriter included

* Fri May 28 2010 Caius 'kaio' Chance  <kaio at fedoraproject.org> - 1.3.0.20100528-1
- Included all non-Chinese tables.

* Wed Mar 10 2010 Caius 'kaio' Chance  <cchance at redhat.com> - 1.2.0.20100305-6
- Remove Conflicts, Provides, Obsoletes tag.

* Fri Mar 05 2010 Caius 'kaio' Chance  <cchance at redhat.com> - 1.2.0.20100305-5
- Fix source tag.

* Fri Mar 05 2010 Caius 'kaio' Chance  <cchance at redhat.com> - 1.2.0.20100305-4
- Fix source tag.

* Fri Mar 05 2010 Caius 'kaio' Chance  <cchance at redhat.com> - 1.2.0.20100305-3
- Fix BuildRequires tag to ibus-table-devel.

* Fri Mar 05 2010 Caius 'kaio' Chance  <cchance at redhat.com> - 1.2.0.20100305-2
- Modify index creation locations.

* Fri Mar 05 2010 Caius 'kaio' Chance  <cchance at redhat.com> - 1.2.0.20100305-1
- Upgrade source from upstream.

* Wed Jan 20 2010 Caius 'kaio' Chance  <k at kaio.me> - 1.2.0.20100120-1
- Introduce Emoji input method.
- Updated spec file.

* Fri Jan 08 2010 Caius 'kaio' Chance  <k at kaio.me> - 1.2.0.20100108-1
- The first version.
- Merged from ibus-table-additional.
